#
# Conditional build:
%bcond_with	doc	# Sphinx documentation, TODO: fix this
%bcond_with	tests	# unit tests

%define		module	networkx
Summary:	High-productivity software for complex networks
Summary(pl.UTF-8):	Efektywne operacje na skomplikowanych grafach
Name:		python3-%{module}
Version:	2.8.8
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/networkx/
Source0:	https://files.pythonhosted.org/packages/source/n/networkx/%{module}-%{version}.tar.gz
# Source0-md5:	22139ab5a47818fa00cbaa91eb126381
URL:		http://networkx.github.io/index.html
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
#BuildRequires:	python3-codecov >= 2.1
BuildRequires:	python3-matplotlib >= 3.4
BuildRequires:	python3-numpy >= 1.19
BuildRequires:	python3-pandas >= 1.3
BuildRequires:	python3-pytest >= 7.2
BuildRequires:	python3-pytest-cov >= 4.0
BuildRequires:	python3-scipy >= 1.8
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-nb2plots >= 0.6
BuildRequires:	python3-numpydoc >= 1.5
BuildRequires:	python3-pillow >= 9.2
BuildRequires:	python3-pydata-sphinx-theme >= 0.11
# from pygraphviz.scraper import PNGScraper
#BuildRequires:	python3-pygraphviz
BuildRequires:	python3-sphinx-gallery >= 0.11
BuildRequires:	python3-texext >= 0.6.6
BuildRequires:	sphinx-pdg-3 >= 5.2
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python language software package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.

%description -l pl.UTF-8
Pakiet oprogramowania do tworzenia, manipulacji i badania struktury
dynamiki i funkcji złożonych sieci.

%package apidocs
Summary:	API documentation for Python %{module} module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona %{module}
Group:		Documentation
Obsoletes:	python-networkx-apidocs == 2.5

%description apidocs
API documentation for Python %{module} module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest networkx
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{module}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-*.egg-info
%{_examplesdir}/python3-%{module}-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sun Jan 08 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-networkx.git;a=log;h=master

* Sun Jan 08 2023 Jakub Bogusz <qboosh@pld-linux.org> b9a85b6
- updated to 2.8.8

* Sat Dec 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 7396093
- renamed python-networkx 2.3+ base package to python3-networkx

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 54d0641
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 795a247
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0a24b42
- rebuild with python 3.10

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 27be23d
- typos, some apidocs work, added tests bcond

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> a571ded
- up to 2.5
- drop python2 support, not supported and no users

* Mon Mar 08 2021 Jan Rękorajski <baggins@pld-linux.org> 13fb60a
- release 7 (by relup.sh)

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> b8e13ba
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 944a5ce
- rebuild with python 3.8
- release 5 (by relup.sh)

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> 88dcc2e
- rel 4

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> c295a98
- added python3 package

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> 2f746b1
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 39c3ebb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6a6a728
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 66850fb
- automatic change: use py_build/py_install macros

* Thu Aug 22 2013 Mateusz Korniak <matkor@pld-linux.org> eb4a057
- Version 1.8.1-1.

* Thu Aug 22 2013 Mateusz Korniak <matkor@pld-linux.org> 0ca5a8a
- Added TODO.

* Thu Aug 22 2013 Mateusz Korniak <matkor@pld-linux.org> f6481e7
- Release 1. Works for me.

* Tue Apr 16 2013 Elan Ruusamäe <glen@delfi.ee> 23a38f7
- remove pypi hash url

